#!/bin/bash

set -ex

if [ $# = 0 ] ; then
    if [[ -f /clamav/config/clamdcheck.conf && -f /clamav/config/c-icap.conf ]]
    then
        clamdscan --ping 1000 -c /clamav/config/clamdcheck.conf && 
        /usr/bin/c-icap -D -N -f /clamav/config/c-icap.conf
    else
        echo "Config /clamav/config/c-icap.conf or /clamav/config/clamdcheck.conf missing!"
        exit 1
    fi
fi

exec "$@"
